import request from './request'
const api = {
	'getclientip':'/utils/getclientip',//获取ip地址
    'getWelcomePage': '/welcome/Index/getWelcomePage',//获取欢迎页配置
    'getChannelInfo': '/Program/Index/getChannelInfo',//获取直播间配置
    'getMenuList': '/Program/Index/getMenuList',//获取菜单配置
    'getAdvertList': '/Program/Index/getAdvertList',//获取广告配置
    'getChatCount': '/Program/Live/getChatCount',//获取聊天数
    'getWatchNum': '/Program/Index/getWatchNum',//获取报道内容
    'getCaremaList': '/Program/Index/getCaremaListV2',//获取全局直播配置
    'getWatchLoginInfo': '/Program/Index/getWatchLoginInfo',//获取登录信息
    'getWechatInfo': '/Program/Index/getWechatInfo',//获取关注配置
    'PostInfo': '/Program/Live/PostInfo',//数据统计相关
    'getPlaylistList': '/Program/Index/getPlaylistList',//获得播单
    'getShareList': '/Program/Index/getShareList',//获取分享榜
   	'getChatList': '/Program/Chat/getChatList',//获取连天内容
    'getTopChatList': '/Program/Chat/getTopChatList',//获取置顶聊天内容
    'sendChat': '/Program/Chat/sendChat',//发送聊
    'sendPhoto': '/Program/Chat/sendPhoto',//发送图片
    'sendPhotoByWeixin': '/Program/Chat/sendPhotoByWeixin',//微信发送图片
    'getWxJsapiPackage': '/Program/Share/getWxJsapiPackage',//获取微信sdk
    'shareSuccessBack': '/Program/Share/shareSuccessBack',//分享成功回调
    'getpraisenum': '/Program/Live/getPraiseNum',//获取点赞数
    'sendPraise': '/Program/Index/praise',//点赞
    'checkPassword': '/Program/Index/checkPassword',//加密直播间
}

export const getclientip = (data) => {
	return request.get(api['getclientip'],data,'API_RED');
}
export const getWelcomePage = (data) => {
	return request.get(api['getWelcomePage'],data);
}
export const getChannelInfo = (data) => {
	return request.get(api['getChannelInfo'],data);
}
export const getMenuList = (data) => {
	return request.get(api['getMenuList'],data);
}
export const getAdvertList = (data) => {
	return request.get(api['getAdvertList'],data);
}
export const getChatCount = (data) => {
	return request.get(api['getChatCount'],data);
}
export const getWatchNum = (data) => {
	return request.get(api['getWatchNum'],data);
}
export const getCaremaList = (data) => {
	return request.get(api['getCaremaList'],data);
}
export const getWatchLoginInfo = (data) => {
	return request.get(api['getWatchLoginInfo'],data);
}
export const getWechatInfo = (data) => {
	return request.get(api['getWechatInfo'],data);
}
export const PostInfo = (data) => {
	return request.post(api['PostInfo'],data);
}
export const getPlaylistList = (data) => {
	return request.get(api['getPlaylistList'],data);
}
export const getShareList = (data) => {
	return request.get(api['getShareList'],data);
}
export const getChatList = (data) => {
	return request.get(api['getChatList'],data);
}
export const getTopChatList = (data) => {
	return request.get(api['getTopChatList'],data);
}
export const sendChat = (data) => {
	return request.post(api['sendChat'],data);
}
export const sendPhoto = (data) => {
	return request.post(api['sendPhoto'],data);
}
export const sendPhotoByWeixin = (data) => {
	return request.post(api['sendPhotoByWeixin'],data);
}
export const getWxJsapiPackage = (data) => {
	return request.post(api['getWxJsapiPackage'],data);
}
export const shareSuccessBack = (data) => {
	return request.post(api['shareSuccessBack'],data);
}
export const getpraisenum = (data) => {
	return request.get(api['getpraisenum'],data);
}
export const sendPraise = (data) => {
	return request.post(api['sendPraise'],data);
}
export const checkPassword = (data) => {
	return request.post(api['checkPassword'],data);
}
export default {
	getclientip,
	getWelcomePage,
	getChannelInfo,
	getMenuList,
	getAdvertList,
	getChatCount,
	getWatchNum,
	getCaremaList,
	getWatchLoginInfo,
	getWechatInfo,
	PostInfo,
	getPlaylistList,
	getShareList,
	getChatList,
	getTopChatList,
	sendChat,
	sendPhoto,
	sendPhotoByWeixin,
	getWxJsapiPackage,
	shareSuccessBack,
	getpraisenum,
	sendPraise,
	checkPassword,
}